
// Color system
$color-base:               #222D2F !default;
$color-blue:               #3368CC !default;
$color-gray:               rgba(34, 45, 47, 0.7) !default;
$color-red:                #ED7B6D !default;


$base:                     #2a2a2a !default;
$black:                    #000000 !default;
$white:                    #ffffff !default;
$blue:                     #3737de !default;
$blue-100:                 #3737DE !default;
$blue-200:                 #F5FBFF !default;
$red:                      #ED7B6D !default;
$gray:                     rgba(34, 45, 47, 0.7) !default;
$gray-100:                 #F5F5F5 !default;
$gray-200:                 #ACACAC !default;
$gray-500:                 #2A2A2A !default;
$dark:                     #222D2F !default;
$rose:                     #E8363D !default;
$green:                    #08A652 !default;


$html-font-size:            16px;
$font-size-base:            1rem !default;
$line-height-base:          1.5 !default;
$content-well-max-width:    "none" !default; 

// Fonts
$font-family-base:          'Fira Sans', Arial, sans-serif !default;
$font-family-head:          'Fira Sans', Arial, sans-serif !default;


// Grid
$grid-columns:              12 !default; // Set number of columns in the grid
$gutter:                    15px !default;     // Set gutter size

$screen-xs-min:             0;
$screen-sm-min:             768px !default;
$screen-md-min:             1024px !default;
$screen-lg-min:             1260px !default;
$screen-xl-min:             1440px !default;


$screen-xs-max:              ($screen-sm-min - 0.1) !default;
$screen-sm-max:              ($screen-md-min - 0.1) !default;
$screen-md-max:              ($screen-lg-min - 0.1) !default;
$screen-lg-max:              ($screen-xl-min - 0.1) !default;


$container-sm:               750px;
$container-md:               1000px;
$container-lg:               1230px;
$container-xl:               1420px;




$content-well-max-width: "none" !default; // Set the max-width of the content well


// Breakpoints
// Create breakpoint range statements to be used in media queries
$breakpoint-xs-only: "only screen and (max-width: #{$screen-xs-max})"; // 0 -> xs-max range

$breakpoint-sm-up: "only screen and (min-width: #{$screen-sm-min})"; // sm-start -> up range

$breakpoint-sm-only: "only screen and (min-width: #{$screen-sm-min}) and (max-width: #{$screen-sm-max})"; // sm-start -> sm-max range

$breakpoint-md-up: "only screen and (min-width: #{$screen-md-min})"; // md-start -> up range

$breakpoint-md-only: "only screen and (min-width: #{$screen-md-min}) and (max-width: #{$screen-md-max})"; // md-start -> md-max range

$breakpoint-lg-up: "only screen and (min-width: #{$screen-lg-min})"; // lg-start -> up range

$breakpoint-lg-only: "only screen and (min-width: #{$screen-lg-min}) and (max-width: #{$screen-lg-max})"; // lg-start -> lg-max range

$breakpoint-xl-up: "only screen and (min-width: #{$screen-xl-min})"; // xl-start -> up range

$breakpoints-all: ($breakpoint-xs-only, $breakpoint-sm-up, $breakpoint-sm-only, $breakpoint-md-up, $breakpoint-md-only, $breakpoint-lg-up, $breakpoint-lg-only, $breakpoint-xl-up);
$breakpoint-ups: ($breakpoint-sm-up, $breakpoint-md-up, $breakpoint-lg-up, $breakpoint-xl-up);
$breakpoint-all-prefixes: ("xs", "xs-only", "sm", "sm-only", "md", "md-only", "lg", "lg-only", "xl");
$breakpoint-up-prefixes: ("xs", "sm", "md", "lg", "xl");